#ifndef PTV_H
#define PTV_H


class cMenuSetupPTV;

class cPTV_Device;

class cPluginPTV : public cPlugin 
  {
  private:
    /* generic properties of ptv itself */
    cPTV_Device* PTV_Dev[MAX_DEV_NUM];
    int  LinuxVersion(void);
    bool ChkIvtv(void);
    bool ChkPvr(int index);
    int  PTV_VideoDev[MAX_DEV_NUM];
  public: 
    cPluginPTV(void);
    virtual ~cPluginPTV();
    virtual const char *Version(void);
    virtual const char *Description(void);
    virtual bool Initialize(void);
    virtual bool Start(void);
    virtual void Stop(void);
    virtual void Housekeeping(void);
    virtual cMenuSetupPage *SetupMenu(void);
    virtual bool SetupParse(const char *Name, const char *Value);
            int  GetVideodev(int index) {return PTV_VideoDev[index];};
            bool PTV_Dev_Exists(int index) {return PTV_Dev[index]? true:false;};
  };

#endif // PTV_H
